MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000528VCMIMechanics - Battlespublic2010-07-13 10:122016-10-01 13:25
ReporterZamolxis 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD 5600+OSWindowsOS VersionXP SP3
Product Version0.81 
Target VersionFixed in Version0.99 
Summary0000528: Blind spell implemented incorrectly
Description1. It should work only on living creatures (and only those which don't have immunity to it or mind/all spells in general). Right now it works also on undead, elementals... probably all.


2. Any damage-inflicting attack (melee, range or damage spell) should remove Blind from the target.


3. Also, Steven mentioned in the description of 0000179 "retaliation damage is not affected either". I didn't check myself how it's implemented, but just in case, here's how it should be:
Untrained / Basic: Deactivating attack is retaliated at 50% of base attack rating.
Advanced: Deactivating attack is retaliated at 25% of base attack rating.
Expert: Deactivating attack is not retaliated.


4. Another detail to keep in mind when fixing this: If the spell is removed by a damage inflicting attack, the creature should be added to the battle queue according to its speed. If slower creatures already moved, or if we are in the 2nd part of the round (when creatures that waited move), the dispelled creature should not lose the turn. On the contrary it should then get its turn immediately.
Steps To ReproduceSir Mullich in the map attached to 0000515 has Blind, and there are enemy heroes with living/undead/elemental creatures nearby to test the functionality.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000179closedTow The Blind spell does not stop a creature getting a turn or moving. =) 
related to 0001359closedAVS Incorrect turn order in battle, related to Basilisks petrification 
has duplicate 0002351closedAVS Spells: Blind effect not disappear when creature attacked by spell 
related to 0001390closedAVS Crash in creaure window after multiple Blind / Stone gaze casts 
related to 0002266closedAVS Spell "blind", after using red color not dissappear. 
related to 0002528resolvedAVS Casting damage spell on blinded unit doesn't break blindness 

-  Notes
(0003809)
Warmonger (administrator)
2013-07-25 21:49

#1 was already fixed in r3466.
(0006187)
AVS (administrator)
2015-12-20 00:28

From 0002351:

Blind spell must disappear if creature get any damage, but currently when you hit blinded creature with targeted or splash spell it's not disappear.
(0006792)
AVS (administrator)
2016-10-01 13:25

all 4 points has been implemeted

- Issue History
Date Modified Username Field Change
2010-07-13 10:12 Zamolxis New Issue
2010-07-13 10:12 Zamolxis Status new => assigned
2010-07-13 10:12 Zamolxis Assigned To => Tow dragon
2010-07-13 10:12 Zamolxis Issue generated from: 0000179
2010-07-13 10:12 Zamolxis Relationship added related to 0000179
2010-07-13 10:12 Zamolxis Severity major => minor
2010-07-30 19:24 Zamolxis Description Updated View Revisions
2012-02-27 12:22 Warmonger Assigned To Tow dragon => Warmonger
2013-07-25 21:49 Warmonger Note Added: 0003809
2013-07-25 21:49 Warmonger Relationship added related to 0001359
2013-08-01 07:04 Warmonger Relationship added related to 0001390
2015-09-14 16:52 AVS Assigned To Warmonger => AVS
2015-10-01 23:54 AVS Relationship added related to 0002266
2015-12-19 11:58 SXX Relationship added has duplicate 0002351
2015-12-20 00:28 AVS Note Added: 0006187
2016-09-29 22:30 SXX Relationship added related to 0002528
2016-10-01 13:25 AVS Note Added: 0006792
2016-10-01 13:25 AVS Status assigned => resolved
2016-10-01 13:25 AVS Fixed in Version => 0.99
2016-10-01 13:25 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean